コンテンツにスキップ
オープンキャスタリーコンソール

動画

seedance-2.5 API

Modelflare 非同期ビデオ ルーティングを通じて正確な seedance-2.5 モデル ID を使用します。

正確なモデル ID seedance-2.5 を使用します。モデル フィールドはこのページと正確に一致する必要があります。

サンプル出力seedance-2.5POST /v1/videos5.1s

パラメータ: duration=5resolution=1080pratio=16:9

プロンプト: A small research submersible descends through the deep ocean, its headlights sweeping over a drifting field of bioluminescent jellyfish and a sunken stone archway. Camera follows from behind, particles float in the beams, blue-black water, calm and mysterious, photoreal, no text.

このサンプルを作成したリクエスト
{
"model": "seedance-2.5",
"prompt": "A small research submersible descends through the deep ocean, its headlights sweeping over a drifting field of bioluminescent jellyfish and a sunken stone archway. Camera follows from behind, particles float in the beams, blue-black water, calm and mysterious, photoreal, no text.",
"seconds": "5",
"duration": 5,
"resolution": "1080p",
"ratio": "16:9",
"aspect_ratio": "16:9"
}

https://modelflare.dev/v1 で Modelflare API キーを使用します。ゲートウェイのエントリ ポイントは POST /v1/videos です。

HTTP
Authorization: Bearer YOUR_MODELFLARE_API_KEY
ターミナルウィンドウbash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.5",
"content": [{"type": "text", "text": "A white cat runs through a neon-lit street in the rain, cinematic tracking shot"}],
"resolution": "720p",
"duration": 5,
"generate_audio": false
}'

タスクIDを保存します。 GET /v1/videos/{task_id} をポーリングし、GET /v1/videos/{task_id}/content でダウンロードします。結果 URL は有効期限が切れている可能性があるため、速やかにファイルを転送してください。

ターミナルウィンドウbash
curl https://modelflare.dev/v1/videos/TASK_ID \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY"

Seedance はテキスト、フレーム、参照メディアに content[] を使用します。別個の Seedance 資産管理 契約は、独立して文書化されています。

Seedance は 1 つの非同期マルチモーダル エンベロープを使用します。 content[]にテキストとメディアを入れます。メディアの役割は、最初/最後のフレームまたは参照ワークフローを選択します。

フィールド 必須 注意事項
model はい seedance-2.5
content[] はい text``image_url``video_url``audio_url role を使用してメディアの目的を特定する
resolution いいえ 480p / 720p / 1080p
ratio いいえ 21:9 / 16:9 / 4:3 / 1:1 / 3:4 / 9:16 / adaptive
duration いいえ -1 自動タイミング、または 4 ~ 30 秒
generate_audio いいえ 同期したダイアログ、エフェクト、バックグラウンドオーディオを生成
tools いいえ web_search は公式モデルページでサポートされている場合にのみ使用してください
watermark いいえ ウォーターマークを入れるかどうか
omni_reference_task_type いいえ auto / reference / edit / extend;編集と拡張により、より厳格な比率/長さのルールが課せられます
output_format いいえ mp4 / mov
return_last_frame いいえ 最終フレームを画像として返す

480p、720p、1080pに対応したモデルです。 -1 を使用して自動タイミングを設定するか、4 ~ 30 秒を選択します。リクエストでは、最大 30 個の画像、10 個のビデオ、および 10 個のオーディオ クリップを組み合わせることができます。通常の参照生成では、明示的な比率または adaptive を受け入れます。編集、拡張、最初/最後のフレームのワークフローには ratio: "adaptive" が必要で、編集には duration: -1 が必要です。仮想人物の画像は、まずアセットライブラリにアップロードする必要があります。Modelflare は実在人物の認証を提供していません。

文書化されたワークフローの例

Section titled “文書化されたワークフローの例”

Seedance 2.5 は、メディアの役割とタスクの種類から、参照、編集、拡張、およびフレームガイド付きのワークフローを分類します。この例では、Modelflare のエンドポイントとモデル ID を使用しながら、正式な契約を維持しています。

ターミナルウィンドウbash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.5",
"omni_reference_task_type": "reference",
"content": [
{"type":"text","text":"@image1 performs the movement from @video1, paced to @audio1"},
{"type":"image_url","image_url":{"url":"https://example.com/character.jpg"},"role":"reference_image"},
{"type":"video_url","video_url":{"url":"https://example.com/motion.mp4"},"role":"reference_video"},
{"type":"audio_url","audio_url":{"url":"https://example.com/music.mp3"},"role":"reference_audio"}
],
"ratio": "16:9", "duration": 15, "output_format": "mp4"
}'
ターミナルウィンドウbash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.5", "omni_reference_task_type": "edit",
"content": [
{"type":"text","text":"Remove the background pedestrians but preserve the main subject"},
{"type":"video_url","video_url":{"url":"https://example.com/source.mov"},"role":"reference_video"}
],
"ratio": "adaptive", "duration": -1, "output_format": "mov"
}'
ターミナルウィンドウbash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.5", "omni_reference_task_type": "extend",
"content": [{"type":"video_url","video_url":{"url":"https://example.com/source.mp4"},"role":"reference_video"}],
"ratio": "adaptive", "duration": 11, "output_format": "mov"
}'
ターミナルウィンドウbash
curl https://modelflare.dev/v1/videos \
-H "Authorization: Bearer YOUR_MODELFLARE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.5", "content": [
{"type":"text","text":"The subject smiles while the camera makes a smooth orbit"},
{"type":"image_url","image_url":{"url":"https://example.com/first.jpg"},"role":"first_frame"},
{"type":"image_url","image_url":{"url":"https://example.com/last.jpg"},"role":"last_frame"}
],
"ratio": "adaptive", "duration": -1, "return_last_frame": true
}'

無効なモデル パラメーターは、リクエスト ID を含む 4xx を返します。非同期タスクは、作成が成功した後に失敗することもあります。ポーリング応答からの error_code と error_message を最終タスク理由として使用します。異なる JSON 形式で同じリクエストを再試行しないでください。

このページでは、Modelflare モデルの生成と編集呼び出しについて説明します。検索またはマップのエンリッチメント、音声管理、および要素ライブラリ管理は、このパブリック モデル呼び出しサーフェスの外部にあるリソース API であり、必須のリクエスト フィールドではありません。

このモデルはトークンベースの課金を使用します。現在の顧客価格、参考定価、完全な仕様については、モデル価格ページを参照してください。

モデルID 違い
seedance-2.5 このページに記載されているモデル。
メディア契約 · v1

契約ID: media.seedance-2-5.v1アダプター: video.seedance.25.v1@v1指紋: 37c632491a1b23a8dd328d9b89b3f14cd4a7c163ab55f73f27aefb4e0418caa5

公式ソース: ByteDance / Volcengine

契約パラメータ

インテントフィールドコントロールオプション
ratioselect16:9 / 9:16 / 1:1 / 4:3 / 3:4 / 21:9 / adaptive
resolutionselect480p / 720p / 1080p
durationselect-1 / 4 / 5 / 6 / 7 / 8 / 9 / 10 / 11 / 12 / 13 / 14 / 15 / 16 / 17 / 18 / 19 / 20 / 21 / 22 / 23 / 24 / 25 / 26 / 27 / 28 / 29 / 30
audioswitch—
workflowselectauto / reference / edit / extend
output_formatselectmp4 / mov
return_last_frameswitch—

サポートされる機能

  • allowed_values · ratio · 16:9, 9:16, 1:1, 4:3, 3:4, 21:9, adaptive
  • allowed_values · resolution · 480p, 720p, 1080p
  • allowed_values · duration · -1, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30
  • max_assets · reference_asset_ids · 50
  • prompt_optional_with_reference · prompt

構造化リクエストの例

text

インテント

{
  "audio": false,
  "duration": -1,
  "output_format": "mp4",
  "prompt": "A red paper kite over a quiet harbour at dusk.",
  "ratio": "16:9",
  "resolution": "480p",
  "return_last_frame": false,
  "workflow": "auto"
}

プロバイダーリクエスト

{
  "content": [
    {
      "text": "A red paper kite over a quiet harbour at dusk.",
      "type": "text"
    }
  ],
  "duration": -1,
  "generate_audio": false,
  "model": "seedance-2.5",
  "output_format": "mp4",
  "ratio": "16:9",
  "resolution": "480p",
  "return_last_frame": false,
  "seconds": "-1"
}

reference

インテント

{
  "audio": false,
  "duration": -1,
  "output_format": "mp4",
  "prompt": "A red paper kite over a quiet harbour at dusk.",
  "ratio": "16:9",
  "resolution": "480p",
  "return_last_frame": false,
  "workflow": "reference"
}

プロバイダーリクエスト

{
  "content": [
    {
      "text": "A red paper kite over a quiet harbour at dusk.",
      "type": "text"
    },
    {
      "image_url": {
        "url": "https://example.com/reference.png"
      },
      "role": "reference_image",
      "type": "image_url"
    }
  ],
  "duration": -1,
  "generate_audio": false,
  "model": "seedance-2.5",
  "omni_reference_task_type": "reference",
  "output_format": "mp4",
  "ratio": "16:9",
  "resolution": "480p",
  "return_last_frame": false,
  "seconds": "-1"
}

edit

インテント

{
  "audio": false,
  "duration": -1,
  "output_format": "mp4",
  "prompt": "A red paper kite over a quiet harbour at dusk.",
  "ratio": "adaptive",
  "resolution": "480p",
  "return_last_frame": false,
  "workflow": "edit"
}

プロバイダーリクエスト

{
  "content": [
    {
      "text": "A red paper kite over a quiet harbour at dusk.",
      "type": "text"
    },
    {
      "role": "reference_video",
      "type": "video_url",
      "video_url": {
        "url": "https://example.com/reference.mp4"
      }
    }
  ],
  "duration": -1,
  "generate_audio": false,
  "model": "seedance-2.5",
  "omni_reference_task_type": "edit",
  "output_format": "mp4",
  "ratio": "adaptive",
  "resolution": "480p",
  "return_last_frame": false,
  "seconds": "-1"
}

extend

インテント

{
  "audio": false,
  "duration": -1,
  "output_format": "mp4",
  "prompt": "A red paper kite over a quiet harbour at dusk.",
  "ratio": "adaptive",
  "resolution": "480p",
  "return_last_frame": false,
  "workflow": "extend"
}

プロバイダーリクエスト

{
  "content": [
    {
      "text": "A red paper kite over a quiet harbour at dusk.",
      "type": "text"
    },
    {
      "role": "reference_video",
      "type": "video_url",
      "video_url": {
        "url": "https://example.com/reference.mp4"
      }
    }
  ],
  "duration": -1,
  "generate_audio": false,
  "model": "seedance-2.5",
  "omni_reference_task_type": "extend",
  "output_format": "mp4",
  "ratio": "adaptive",
  "resolution": "480p",
  "return_last_frame": false,
  "seconds": "-1"
}